KNOWLEDGE BASE

Error "One or more workers could not be upgraded automatically" During Multi-Node Upgrade


Published: 04 Apr 2017
Last Modified Date: 28 Apr 2017

Issue

When upgrading a multi-node (distributed) Tableau Server installation, you may receive the message
One or more workers could not be upgraded automatically.

Environment

  • Tableau Server
  • Multi-Node (aka distributed or cluster) installation

Resolution

Follow the instructions in the Before you upgrade and Upgrade the primary node and worker nodes sections of Upgrade a Multi-Node (Distributed) Server.

These instructions cover:
  • Downloading the worker installer
  • Running the worker installer on each worker node directly
  • Resuming the cluster upgrade on the primary.

Cause

When Tableau Server upgrades the version of PostgreSQL used for its internal database such that worker servers require a newer version of the PostgreSQL driver to connect, worker servers need to be upgraded manually. 

Additional Information

When a Postgres driver upgrade is included in a Tableau Server upgrade, the driver upgrade will cause a prompt at the end of the installation process on each server that a Windows restart is required.

If an automated installation is used with the /SUPPRESSMSGBOXES switch, the restart required dialog will be suppressed, but Windows will still need to be restarted. 
Did this article resolve the issue?